/* ============================================================

 Theme Name: Pichaora
 Theme URI: http://
 Description: The Pichaora Onepage Template
 Author: App Landing Page
 Author URI: http://themeforest.net
 Version: 1.0 

============================================================== */

// ============>> Home v1 v2 v3 v4 v5 <<===============
$(function() {

    "use strict";// this function is executed in strict mode	
	
	// ============>> SHRINK HEADER JS <<===============
	var shrinkHeader=1;
		$(window).scroll(function(){
		var scroll=getCurrentScroll();
			if(scroll>=shrinkHeader){
				$('.navbar').addClass('shrink');
			}
		else{
			$('.navbar').removeClass('shrink');}
	});
	function getCurrentScroll(){
		return window.pageYOffset;
	}
	
	var sections = $('section')
	  , nav = $('nav')
	  , nav_height = nav.outerHeight();

	$(window).on('scroll', function () {
		var cur_pos = $(this).scrollTop();
		sections.each(function() {
			var top = $(this).offset().top - nav_height,
				bottom = top + $(this).outerHeight();
			if (cur_pos >= top && cur_pos <= bottom) {
				nav.find('a').removeClass('active');
				sections.removeClass('active');
		  
				$(this).addClass('active');
				nav.find('a[href="#'+$(this).attr('id')+'"]').addClass('active');
			}
		});
	});
	 
	// ============>> MENU SMOOTH SCROLLING JS <<===============
	$(function() {
         $('a[href*="#"]:not([data-toggle="tab"])').on('click', function() {
             if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
                 var target = $(this.hash);
                 target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
                 if (target.length) {
                     $('html, body').animate({
                         scrollTop: target.offset().top
                     }, 1000);
                     return false;
                 }
             }
         });
     }); 
	
	// ============>> video <<===============
	$('.video-v').magnificPopup({ 
	  type: 'iframe' 
	  // other options
	});  

	// ============>> testimonial slider <<===============
	
	$('.testimonial-slider').owlCarousel({
		loop:true, 
		nav:false,
		dots: false,
		items:3,
		autoplay: 3000,  
		responsive:{
			0:{
				items:1
			},
			600:{
				items:2
			},
			1000:{
				items:3
			}
		}
	});
	
	// =====>> user slider  <<=======
	$('.user-slider').owlCarousel({
		loop:true, 
		nav:true,
		navText:['<i class="fa fa-arrow-left"></i>','<i class="fa fa-arrow-right"></i>'],
		dots: false,
		items:1,
		autoplay: 3000,  
		responsive:{
			0:{
				items:1
			},
			600:{
				items:1
			},
			1000:{
				items:1
			}
		}
	});
	
	// =====>> user slider  <<=======
	$('.user-slider-v8').owlCarousel({
		loop:true, 
		nav:false, 
		dots: true,
		items:1,
		autoplay: 9000,  
		responsive:{
			0:{
				items:1
			},
			600:{
				items:1
			},
			1000:{
				items:1
			}
		}
	});
	
	// ============>> WOW animate <<===============
 
	wow.init();
	
	
	
	 

}); 
 
// ============>> swiper carousel <<===============
(function($) {
    'use strict';
	
	
	// =====>> swiper v1 v2 v3  <<=======
	
    var swiper = new Swiper('.swiper-container.two', {
        pagination: {
          el: '.swiper-pagination',
          type: 'bullets',
          clickable: true,
        }, 
		autoplay: {
            delay: 3000,
        },
        speed: 4000,
        effect: 'coverflow',
        loop: true,
        centeredSlides: true,
        slidesPerView: 'auto',  
    });
	
	// =====>> swipe v4  <<=======
	
	var swiper = new Swiper('.swiper-container.v4', {
        effect: 'coverflow',
        speed: 3000,
		pagination: {
          el: '.swiper-pagination',
          type: 'bullets',
          clickable: true,
        },
        autoplay: {
            delay: 3000,
        }, 
        loop: true,
        centeredSlides: true,
        slidesPerView: 'auto',
        coverflowEffect: {
            rotate: 0,
            stretch: 80,
            depth: 200,
            modifier: 1,
            slideShadows: false,
        },
    });
	
	
	
	 // =====>> counter  <<======= 
	var a = 0;
	$(window).scroll(function() {

	  var oTop = $('#counter').offset().top - window.innerHeight;
	  if (a == 0 && $(window).scrollTop() > oTop) {
		$('.counter-value').each(function() {
		  var $this = $(this),
			countTo = $this.attr('data-count');
		  $({
			countNum: $this.text()
		  }).animate({
			  countNum: countTo
			},

			{

			  duration: 2000,
			  easing: 'swing',
			  step: function() {
				$this.text(Math.floor(this.countNum));
			  },
			  complete: function() {
				$this.text(this.countNum);
				//alert('finished');
			  }

			});
		});
		a = 1;
	  }

	});
	
	
	

})(jQuery);