(function ($) {
    'use strict';  
	// Google map
	 function basicmap() {
        // Basic options for a simple Google Map
        // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
        var mapOptions = {
            // How zoomed in you want the map to start at (always required)
            zoom: 11,
            scrollwheel: false,
            // The latitude and longitude to center the map (always required)
            center: new google.maps.LatLng(40.6700, -73.9400), // New York
            // This is where you would paste any style found on Snazzy Maps.
            styles: [{"featureType":"all","elementType":"labels.text.fill","stylers":[{"color":"#b7b7b7"}]},{"featureType":"all","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"landscape.man_made","elementType":"geometry.fill","stylers":[{"color":"#f8f7fc"}]},{"featureType":"landscape.man_made","elementType":"geometry.stroke","stylers":[{"color":"#f8f7fc"}]},{"featureType":"poi.park","elementType":"geometry.fill","stylers":[{"color":"#d1eeeb"}]},{"featureType":"poi.school","elementType":"geometry.fill","stylers":[{"color":"#b6badf"},{"lightness":45}]},{"featureType":"road","elementType":"geometry.fill","stylers":[{"color":"#e3e2e9"}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#e3e2e9"}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#cad6e7"}]},{"featureType":"road.highway","elementType":"labels.text.fill","stylers":[{"color":"#b6b6b6"}]},{"featureType":"road.arterial","elementType":"geometry.fill","stylers":[{"color":"#ffffff"}]},{"featureType":"road.local","elementType":"geometry.fill","stylers":[{"color":"#ffffff"}]},{"featureType":"transit.line","elementType":"geometry.fill","stylers":[{"saturation":"100"},{"lightness":"-16"},{"gamma":"6.55"}]},{"featureType":"transit.line","elementType":"geometry.stroke","stylers":[{"visibility":"off"},{"saturation":"-100"}]},{"featureType":"transit.station.rail","elementType":"geometry","stylers":[{"visibility":"off"},{"hue":"#ff0000"}]},{"featureType":"water","elementType":"geometry.fill","stylers":[{"color":"#b0d6f0"}]}]
					
		};
        // Get the HTML DOM element that will contain your map 
        // We are using a div with id="map" seen below in the <body>
        var mapElement = document.getElementById('contact-map');

        // Create the Google Map using our element and options defined above
        var map = new google.maps.Map(mapElement, mapOptions);

        // Let's also add a marker while we're at it
        var marker = new google.maps.Marker({
            position: new google.maps.LatLng(40.6700, -73.9400),
            map: map,
            title: 'Cryptox'
        });
    }
    if ($('#contact-map').length != 0) {
        google.maps.event.addDomListener(window, 'load', basicmap);
    }
})(jQuery);

